be.ehealth.businessconnector.mycarenet.agreementasync.v2.session.impl

## Class AgreementServiceImpl

- java.lang.Object
- - be.ehealth.businessconnector.genericasync.helper.DefaultCommonAsyncService
  - - be.ehealth.businessconnector.mycarenet.agreementasync.v2.session.impl.AgreementServiceImpl

- All Implemented Interfaces:
    CommonAsyncService, AgreementService

      public class AgreementServiceImpl
      extends DefaultCommonAsyncService
      implements AgreementService

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AgreementServiceImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProcessedPostResponse` | `getEAgreementRequest(byte[] encrypedFhirBody, String recipient, InputReference inputReference, String messageVersion)`
    `ProcessedGetResponse<byte[]>` | `getEAgreementResponse(GetRequest request)`

    - ### Methods inherited from class be.ehealth.businessconnector.genericasync.helper.DefaultCommonAsyncService

      `confirmAll, confirmAllMessages, confirmAllTAcks, confirmMessage, confirmTAck, validateXadesTWithManifest`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface be.ehealth.businessconnector.genericasync.helper.CommonAsyncService

      `confirmAll, confirmAllMessages, confirmAllTAcks, confirmMessage, confirmTAck, validateXadesTWithManifest`

- - ### Constructor Detail

    - #### AgreementServiceImpl

          public AgreementServiceImpl()

  - ### Method Detail

    - #### getEAgreementResponse

          public ProcessedGetResponse<byte[]> getEAgreementResponse(GetRequest request)
                                                             throws ConnectorException

      Specified by:
        `getEAgreementResponse` in interface `AgreementService`
      Throws:
        `ConnectorException`

    - #### getEAgreementRequest

          public ProcessedPostResponse getEAgreementRequest(byte[] encrypedFhirBody,
                                                            String recipient,
                                                            InputReference inputReference,
                                                            String messageVersion)
                                                     throws ConnectorException

      Specified by:
        `getEAgreementRequest` in interface `AgreementService`
      Throws:
        `ConnectorException`

Connector Packaging PERSPHYSICIAN 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.